Bug 460861 - Cyclic logrotate script for pnp4nagios
Cyclic logrotate script for pnp4nagios
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pnp4nagios (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 00:40 EDT by Jan ONDREJ
Modified: 2008-09-24 20:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2008-09-02 00:40:39 EDT
Description of problem:
In pnp4nagios.logrotate.conf patch the path to log file is:
  /var/log/pnp4nagios/*
If you rotate all files, including already rotated, it is cyclic, so rotated files are rotated again. After some cycles an error is raised from cron, that rename fails.

Version-Release number of selected component (if applicable):
pnp4nagios-0.4.10-2.fc9.i386

How reproducible:
After some time I think always.


Steps to Reproduce:
I think it's not necessary to describe this.
  
Actual results:
error: failed to rename
/var/log/pnp4nagios/perfdata.log-20080812.gz-20080813.gz-20080814.gz-20080815.gz
-20080816.gz-20080817.gz-20080818.gz-20080819.gz-20080820.gz-20080821.gz-2008082
2.gz-20080823.gz-20080824.gz-20080825.gz-20080826.gz-20080827.gz-20080828.gz-200
80829.gz-20080830.gz-20080831.gz to
/var/log/pnp4nagios/perfdata.log-20080812.gz-20080813.gz-20080814.gz-20080815.gz
-20080816.gz-20080817.gz-20080818.gz-20080819.gz-20080820.gz-20080821.gz-2008082
2.gz-20080823.gz-20080824.gz-20080825.gz-20080826.gz-20080827.gz-20080828.gz-200
80829.gz-20080830.gz-20080831.gz-20080902: File name too long
error: unable to open


Expected results:
Nothing.


Additional info:
Just change this path from:
  /var/log/pnp4nagios/*
to:
  /var/log/pnp4nagios/*.log
and everything should work fine.
Comment 1 Fedora Update System 2008-09-02 17:59:58 EDT
pnp4nagios-0.4.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pnp4nagios-0.4.10-3.fc9
Comment 2 Fedora Update System 2008-09-05 08:20:16 EDT
pnp4nagios-0.4.10-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pnp4nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7262
Comment 3 Fedora Update System 2008-09-10 03:14:23 EDT
pnp4nagios-0.4.10-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pnp4nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7262
Comment 4 Fedora Update System 2008-09-24 20:01:29 EDT
pnp4nagios-0.4.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.